Package oracle.jdbc

## Interface OracleSavepoint

All Superinterfaces:
  `Savepoint`

    public interface OracleSavepoint
    extends Savepoint

This interface defines the Oracle extensions to the standard JDBC interface `java.sql.Savepoint`. For pre-JDK 1.4 applications, this interface provides the equivalent functions in java.sql.Savepoint. You can use `java.sql.Savepoint` in your application where you do not make use of Oracle extensions. However, when your application uses the Oracle extensions to `java.sql.Savepoint`, you must use `oracle.jdbc.OracleSavepoint`.

A savepoint is a point within the current local transaction that can be referenced from the `Connection.rollback` method. When a transaction is rolled back to a savepoint, all changes made after that savepoint are undone.

Savepoints can be either named or unnamed. Unnamed savepoints are identified by an ID generated by the underlying data source. Named savepoints do not have such IDs associated with them.

### Method Summary

### Methods inherited from interface java.sql.Savepoint

`getSavepointId, getSavepointName`